package com.caimei365.manager.entity.caimei.cmUser;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;


@Data
public class CmClub {

    private static final long serialVersionUID = 1L;
    private String checkMan;        //审核人
    private Integer clubId;        // 会所ID
    private Integer userId;        // 用户ID
    private Integer userOrganizeId;//用户组织ID
    private String name;        // 会所名称
    private String sname;        // 简称
    private String contractEmail;
    private String logo;        // logo
    private String legalPerson;        // 法人
    private Integer provinceId;        // 省
    private Integer cityId;        // 市
    private Integer townId;        // 地址ID
    private String flag;        // 拉会所上线的用户的cmBindId,以逗号结尾

    private Integer spId;        // 协销Id
    private String scanTime;        // 扫描时间
    private String address;        // 详细地址
    private String linkMan;        // 联系人
    private Integer linkManIdentity;    //联系人身份：1老板，2采购，3运营
    private String contractPhone;        // 联系电话
    private String contractMobile;        // 联系手机
    private String fax;        // 传真
    private String info;        // 公司简介
    private String addTime;        // 注册时间
    private String auditTime;        // 审核时间
    private String auditNote;        // 审核备注
    private Integer status;        // 状态
    private String businessLicenseImage;        // 营业执照

    private String mainpro;        // 主打项目
    private String scanFlag;        // 扫描状态 0待扫描 1 已扫描 2已上线
    private String headpic;        // 门头照
    private Date lastModify;        // 最后更新时间
    private String firstClubType; // 一级分类为医美=1和生美=2
    private String secondClubType; // 医美的二级分类为诊所=1、门诊=2、医院=3。  生美没有二级分类
    private String department; // 若为医美分类下的门诊和医院则需要填写科室。
    private String medicalPracticeLicenseImg; // 医美分类必须上传医疗执业许可证
    private String socialCreditCode;//统一社会编码

    private String activeState;     // 活跃状态
    private String customerValue;   // 客户价值
    /**
     * 非持久化字段
     */
    private String source; //注册来源: 0网站 1小程序
    private String spName; //创客名称
    private String account;//企业会所用户账号
    private String mobile;
    private String userName;  //联系人
    private String bindMobile;  //企业绑定手机号
    private String email;       //邮箱
    private Date registerTime;
    private String registerIP;// IP
    private String userScanFlag;        // 扫描标志(4 CRM拉上来的会所)
    private String town; // 区
    private String city; // 市
    private String province; //省
    private String startTime;     //注册时间开始 查询条件
    private String endTime;        //注册时间结束  查询条件
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date providerTime;     //分配协销时间 查询条件
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;     //上次登录时间 查询条件
    private String startLoginTime;     //登录时间开始 查询条件
    private String endLoginTime;        //登录时间结束  查询条件
    private String userIdentity;  //用户身份
    private Integer svipUserFlag;   //超级会员用户标识，1是，2不是
    private Integer newDeal;//新分配机构状态 0.否，1.是
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String allocationStartTime; // 开始分配时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String allocationEndTime; // 结束分配时间
    private String trendsLabel;   // 动态标签
    private String stateLabel;   // 静态标签
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String labelStartTime;  // 需求跨度开始时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String labelEndTime;    // 需求跨度结束时间
}
