package com.caimei365.manager.entity.caimei.cmUser;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/7
 */
@Data
public class CmSaleMan {
    /**
     * 协销组员
     */
    private List<ServiceProviderModel> groups;
    /**
     * 协销组长id
     */
    private Integer leaderId;
    /**
     * 协销组长姓名
     */
    private String leaderName;
    /**
     * 管理标记 1是，2不是
     */
    private String manager;
    /**
     * 小组创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime;
}
