package com.caimei365.manager.service.caimei.productArchive;

import com.caimei365.manager.entity.caimei.productArchive.CmProductArchive;

import java.util.List;

/**
 * 商品资料库Service接口
 *
 * @author Kaick
 * @date 2023-12-22
 */
public interface CmProductArchiveService
{
    /**
     * 通过对象查询商品资料库列表
     *
     * @param cmProductArchive 商品资料库
     * @return 商品资料库集合
     */
    List<CmProductArchive> getCmProductArchiveList(CmProductArchive cmProductArchive);

    /**
     * 通过对象查询商品资料库
     *
     * @param cmProductArchive 商品资料库
     * @return 商品资料库集合
     */
    CmProductArchive getCmProductArchive(CmProductArchive cmProductArchive);


    /**
     * 新增商品资料库
     *
     * @param cmProductArchive 商品资料库
     * @return 结果
     */
    int addCmProductArchive(CmProductArchive cmProductArchive);



}



