package com.caimei365.manager.service.caimei.user;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.cmUser.CmClub;
import com.caimei365.manager.entity.caimei.cmUser.CmClubLabel;
import com.caimei365.manager.entity.caimei.cmUser.CmPortrait;
import com.caimei365.manager.entity.caimei.cmUser.User;

import java.util.List;
import java.util.Map;

public interface CmUserService {

    ResponseJson<PaginationVo<CmClub>> getClubList(CmClub club, int pageNum, int pageSize);

    ResponseJson<List<CmClubLabel>> getClubLabels(Integer dynamicStatus);

    ResponseJson<CmPortrait> getClubPortrait(Integer clubId);

    ResponseJson<Map<String, Object>> selPortraitData(CmPortrait port);
}
