package com.caimei365.manager.entity.caimei.brand;


import lombok.Data;

import java.beans.Transient;

/**
 * 采美品牌Entity
 * @author Lijun
 * @version 2019-04-19
 */
@Data
public class CmBrand {

	/**
	 * 品牌名字
	 */
	private String name;
	/**
	 * 添加来源 0:后台添加 ,1:供应商添加
	 */
	private String source;
	/**
	 * 添加用户ID,后台则为后台用户ID,供应商则为供应商用户ID
	 */
	private String userID;
	/**
	 * 品牌状态 0:待审核，1:审核通过，2:审核失败
	 */
	private String status;
	/**
	 * 品牌权重（1-100）：默认为50
	 */
	private String weights;
	/**
	 * 审核备注
	 */
	private String auditNote;
	/**
	 * 审核备注
	 */
	private String auditStatus;
	/**
	 * 排序
	 */
	private String sort;
	/**
	 * 品牌logo
	 */
	private String logo;
	/**
	 * 品牌授权logo
	 */
	private String authLogo;
	private String description;

	/**
	 * 供应商名称
	 */
	private String shopName;
	/**
	 * 供应商手机号
	 */
	private String shopMobile;

	/**
	 * 品牌描述有无标记  1有   0无
	 */
	private String descriptionFlag;

}
