package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/6
 */
@Data
public class CmPageShopInfo {
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 文章Id
     */
    private Integer infoId;
    /**
     * 引导图
     */
    private String guidanceImage;
    /**
     * 文章标题
     */
    private String title;
    /**
     * 文章上线状态：1待上线，2已上线，3已下线
     */
    private Integer onlineStatus;
    /**
     * 链接
     */
    private String link;
    /**
     * 访问次数
     */
    private Integer accessNumber;
    /**
     * 访问时长
     */
    private String accessDuration;
    /**
     * 平均时长
     */
    private Double averageDuration;
    /**
     * 平均访问时长 格式化
     */
    private String average;
    /**
     * 时间
     */
    private String accessDate;
    /**
     * 商品主图
     */
    private String mainImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品Id
     */
    private Integer productId;
}
