package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/6
 */
@Data
public class CmPageShopKeyword {
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 搜索词
     */
    private String keyword;
    /**
     * 链接
     */
    private String link;
    /**
     * 访问次数
     */
    private Integer accessNumber;
    /**
     * 访问时长
     */
    private String accessDuration;
    /**
     * 平均访问时长
     */
    private Double averageDuration;
    /**
     * 平均访问时长 格式化
     */
    private String average;
    /**
     * 时间
     */
    private String accessDate;
    /**
     * 商品主图
     */
    private String mainImage;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 商品Id
     */
    private Integer productId;
}
