package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/6
 */
@Data
public class CmShopKeyword {
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 营销商品id
     */
    private Integer shopProductId;
    /**
     * 搜索词Id
     */
    private Integer searchId;
    /**
     * 统计状态 0 统计 1 不统计
     */
    private Integer status;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 删除标记：0未删除，1已删除
     */
    private Integer delFlag;
    /**
     * 关键词
     */
    private String keyword;
    /**
     * 搜索次数
     */
    private String number;
    /**
     * 搜索时间
     */
    private String searchTime;
}
