package com.caimei365.manager.entity.caimei.cmUser;

import lombok.Data;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/9/5
 */
@Data
public class CmShopStatistics {
    /**
     * Id
     */
    private Integer id;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 供应商状态 3待审核， 90已上线，91已下线，92审核不通过
     */
    private Integer shopStatus;
    /**
     * 统计状态 0 统计 1 不统计
     */
    private Integer status;
    /**
     * log
     */
    private String logo;
    /**
     * 最近报表时间
     */
    private String recentlyTime;
    /**
     * 添加时间
     */
    private String addTime;
    /**
     * 删除标记：0未删除，1已删除
     */
    private Integer delFlag;
}
