package com.caimei365.manager.entity.caimei.shopImport;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * Description  展现量
 *
 * @author : hzg
 * @date : 2023/11/23
 */
@Data
public class Impressions {

    /**
     * 营销数据 id
     */
    private Integer marketReportId;
    /**
     * 日期
     */
    private String addTime;
    /**
     * 公众号
     */
    @ExcelProperty("公众号")
    private Integer generalNumber;
    /**
     * 微博
     */
    @ExcelProperty("微博")
    private Integer microBlog;
    /**
     * 小红书
     */
    @ExcelProperty("小红书")
    private Integer redBookNumber;
    /**
     * 一点号
     */
    @ExcelProperty("一点号")
    private Integer pointSingNumber;
    /**
     * 其它自媒体渠道
     */
    @ExcelProperty("其它自媒体渠道")
    private Integer otherNumber;
    /**
     * 删除标记 0 未删除 1 已删除
     */
    @ExcelIgnore
    private String delFlag;
}
