package com.caimei365.manager.entity.wechat;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/6
 */
@Data
public class WechatText {
    private static final long serialVersionUID = 1L;
    /**
     * Id
     */
    private Integer id;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;
    /**
     * 微信公众号类型
     */
    private String wxType;
    /**
     * 操作人用户Id
     */
    private Integer userId;
    /**
     * 类型： 1采美，2呵呵商城
     */
    private Integer type;
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
    private Date updateTime;
}
