package com.caimei365.manager.service.caimei.providers;

import com.caimei365.manager.entity.caimei.providers.CmProviders;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * Service接口
 *
 * @author Kaick
 * @date 2023-12-12
 */
public interface CmProvidersService {
    /**
     * 通过对象查询列表
     *
     * @param cmProviders
     * @return 集合
     */
    List<CmProviders> getCmProvidersList(CmProviders cmProviders);

    /**
     * 通过Id查询
     *
     * @param id 主键
     * @return
     */
    CmProviders getCmProvidersById(String id);

    /**
     * 通过对象查询
     *
     * @param cmProviders
     * @return
     */
    CmProviders getByCmProviders(CmProviders cmProviders);


    /**
     * 新增
     *
     * @param cmProviders
     * @return 结果
     */
    int addCmProviders(CmProviders cmProviders);

    /**
     * 修改
     *
     * @param cmProviders
     * @return 结果
     */
    int updateCmProviders(CmProviders cmProviders);

    /**
     *下載圖片
     */
    void downloadImage(String ids, Integer type, HttpServletRequest request, HttpServletResponse response) throws Exception;


}



